Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.pdfbox.pdmodel.documentinterchange.prepress
Class PDBoxStyle

    java.lang.Object
      org.pdfbox.pdmodel.documentinterchange.prepress.PDBoxStyle

All Implemented Interfaces:
  COSObjectable

public class PDBoxStyle
extends Object
implements COSObjectable

The Box Style specifies visual characteristics for displaying box areas.

Version:
  $Revision: 1.3 $
Author:
  Ben Litchfield

Field Summary
`static String` | `GUIDELINE_STYLE_DASHED` Style for guideline.
`static String` | `GUIDELINE_STYLE_SOLID` Style for guideline.

Constructor Summary
`PDBoxStyle()` Default Constructor.
`PDBoxStyle(COSDictionary dic)` Constructor for an existing BoxStyle element.

Method Summary
`COSBase` | `getCOSObject()` Convert this standard java object to a COS object.
`COSDictionary` | `getDictionary()` Convert this standard java object to a COS object.
`PDColorSpaceInstance` | `getGuidelineColor()` Get the color to be used for the guidelines.
`String` | `getGuidelineStyle()` Get the style for the guideline.
`float` | `getGuidelineWidth()` Get the width of the of the guideline in default user space units.
`PDLineDashPattern` | `getLineDashPattern()` Get the line dash pattern for this box style.
`void` | `setGuideLineColor(PDColorSpaceInstance color)` Set the color space instance for this box style.
`void` | `setGuidelineStyle(String style)` Set the style for the box.
`void` | `setGuidelineWidth(float width)` Set the guideline width.
`void` | `setLineDashPattern(PDLineDashPattern pattern)` Set the line dash pattern associated with this box style.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### GUIDELINE_STYLE_SOLID

    public static final String GUIDELINE_STYLE_SOLID

  Style for guideline.

  See Also:
    Constant Field Values

### GUIDELINE_STYLE_DASHED

    public static final String GUIDELINE_STYLE_DASHED

  Style for guideline.

  See Also:
    Constant Field Values

Constructor Detail

### PDBoxStyle

    public PDBoxStyle()

  Default Constructor.

### PDBoxStyle

    public PDBoxStyle(COSDictionary dic)

  Constructor for an existing BoxStyle element.

Parameters:
  `dic` - The existing dictionary.

Method Detail

### getCOSObject

    public COSBase getCOSObject()

  Convert this standard java object to a COS object.

  Specified by:
    `getCOSObject` in interface `COSObjectable`
  Returns:
    The cos object that matches this Java object.

### getDictionary

    public COSDictionary getDictionary()

  Convert this standard java object to a COS object.

  Returns:
    The cos object that matches this Java object.

### getGuidelineColor

    public PDColorSpaceInstance getGuidelineColor()

  Get the color to be used for the guidelines. This is guaranteed to not return null. The color space will always be DeviceRGB and the default color is [0,0,0].

  Returns:
    The guideline color.

### setGuideLineColor

    public void setGuideLineColor(PDColorSpaceInstance color)

  Set the color space instance for this box style. This must be a PDDeviceRGB!

  Parameters:
    `color` - The new colorspace value.

### getGuidelineWidth

    public float getGuidelineWidth()

  Get the width of the of the guideline in default user space units. The default is 1.

  Returns:
    The width of the guideline.

### setGuidelineWidth

    public void setGuidelineWidth(float width)

  Set the guideline width.

  Parameters:
    `width` - The width in default user space units.

### getGuidelineStyle

    public String getGuidelineStyle()

  Get the style for the guideline. The default is "S" for solid.

  Returns:
    The guideline style.
  See Also:
    `GUIDELINE_STYLE_DASHED`, `GUIDELINE_STYLE_SOLID`

### setGuidelineStyle

    public void setGuidelineStyle(String style)

  Set the style for the box.

  Parameters:
    `style` - The style for the box line.
  See Also:
    `GUIDELINE_STYLE_DASHED`, `GUIDELINE_STYLE_SOLID`

### getLineDashPattern

    public PDLineDashPattern getLineDashPattern()

  Get the line dash pattern for this box style. This is guaranteed to not return null. The default is [3],0.

  Returns:
    The line dash pattern.

### setLineDashPattern

    public void setLineDashPattern(PDLineDashPattern pattern)

  Set the line dash pattern associated with this box style.

  Parameters:
    `pattern` - The patter for this box style.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD